#
# spec file for package beforelight
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           beforelight
Version:        1.0.5
Release:        lp150.1.3
Summary:        Sample implementation of a screen saver for X servers
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The beforelight program is a sample implementation of a screen saver
for X servers supporting the MIT-SCREEN-SAVER extension. It is only
recommended for use as a code sample, as it does not include features
such as screen locking or configurability, and relies on the legacy Xaw
toolkit.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/beforelight
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Beforelight
%{_mandir}/man1/beforelight.1%{?ext_man}

%changelog
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Remove Xaw mention from README.
  + config: Add missing AC_CONFIG_SRCDIR.
  + Remove dependency on libXaw.
  + man: remove trailing spaces and tabs.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
- Drop pkgconfig(xaw7) BuildRequires, no longer needed.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split beforelight from xorg-x11. Initial version: 1.0.4.
